IC5Notice: We have upgraded developerWorks Community to the latest version of IBM Connections. For more information, read our upgrade FAQ.
Topic
  • 2 replies
  • Latest Post - ‏2013-02-07T23:51:20Z by SystemAdmin
SystemAdmin
SystemAdmin
300 Posts

Pinned topic IBM Worklight Enterprise edition installation(5.0)

‏2013-01-27T06:45:11Z |
The IBM Worklight Enterprise edition installation(5.0) has been downloaded from IBM Partner world website
File name: worklight_studio_wee_5.0.0.zip

I tried installing IBM Worklight Enterprise edition installation with Eclipse Juno, Eclipse Indigo and Eclipse helios, (JDK 1.6) but i get the following error:

Cannot complete the install because one or more required items could not be found.
Software being installed: IBM Worklight Studio 1.0.0.v20120606_0243 (com.ibm.imp.tools.wee.feature.feature.group 1.0.0.v20120606_0243)
Missing requirement: Core 1.0.0.v20120504_2352 (com.ibm.faceted.project.wizard.core 1.0.0.v20120504_2352) requires 'bundle org.eclipse.wst.common.project.facet.core 0.0.0' but it could not be found
Cannot satisfy dependency:
From: WTP Extensions 1.0.0.v20120510_1822 (com.ibm.etools.wtp.extensions.feature.feature.group 1.0.0.v20120510_1822)
To: com.ibm.faceted.project.wizard http://1.0.0.v20120504_2352
Cannot satisfy dependency:
From: Faceted Project Creation Wizard 1.0.0.v20120504_2352 (com.ibm.faceted.project.wizard 1.0.0.v20120504_2352)
To: bundle com.ibm.faceted.project.wizard.core [1.0.0,2.0.0)
Cannot satisfy dependency:
From: IBM Worklight Studio 1.0.0.v20120606_0243 (com.ibm.imp.tools.wee.feature.feature.group 1.0.0.v20120606_0243)
To: com.ibm.etools.wtp.extensions.feature.feature.group 1.0.0

Please let me know, which version of Eclipse supports this installation.
Also let me know the steps.

Regards,
Sriram
  • SystemAdmin
    SystemAdmin
    300 Posts

    Re: IBM Worklight Enterprise edition installation(5.0)

    ‏2013-01-31T23:42:19Z  
    Sriram,

    Helios, Indigo, and Juno are all supported using either the Eclipse IDE for Java EE Developers or Eclipse Classic edition.

    There is an issue reported in the forums that sounds similar to your failure and was resolved by logging in as Administrator before starting up eclipse. See this post.

    Barbara Hampson, Manager, IBM Worklight
  • SystemAdmin
    SystemAdmin
    300 Posts

    Re: IBM Worklight Enterprise edition installation(5.0)

    ‏2013-02-07T23:51:20Z  
    Sriram,

    Helios, Indigo, and Juno are all supported using either the Eclipse IDE for Java EE Developers or Eclipse Classic edition.

    There is an issue reported in the forums that sounds similar to your failure and was resolved by logging in as Administrator before starting up eclipse. See this post.

    Barbara Hampson, Manager, IBM Worklight
    Note: IBM forums are in the process of migrating to a new format. During migration the forums will be frozen and in read-only mode. If you wish to continue this thread discussion please post it on stackoverflow, where the Worklight team and others can respond.

    See the Forum Migration announce post for more details. Thank you.

    Barbara Hampson, Manager, IBM Worklight